# TODO
# - tests. W: Tests are turned off, consider enabling with 'ocaml setup.ml -configure --enable-tests'
#
# Conditional build:
%bcond_without	ocaml_opt	# skip building native optimized binaries (bytecode is always built)

# not yet available on x32 (ocaml 4.02.1), remove when upstream will support it
%ifnarch %{ix86} %{x8664} arm aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif

%if %{without ocaml_opt}
%define		_enable_debug_packages	0
%endif

%define		module	sqlite3
Summary:	sqlite3 binding for OCaml
Name:		ocaml-sqlite
Version:	4.1.3
Release:	2
License:	BSD
Group:		Libraries
Source0:	https://github.com/mmottl/sqlite3-ocaml/archive/v%{version}/sqlite3-ocaml-%{version}.tar.gz
# Source0-md5:	1b7c29a831fb517dfa0df399eaea2ceb
URL:		http://mmottl.github.io/sqlite3-ocaml/
BuildRequires:	ocaml >= 3.04-7
BuildRequires:	ocaml-camlp4
BuildRequires:	ocaml-findlib-devel
BuildRequires:	ocaml-ocamlbuild
BuildRequires:	sqlite3-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SQLite 3 database library wrapper for OCaml.

%package devel
Summary:	sqlite3 binding for OCaml - development part
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq ocaml

%description devel
This package contains files needed to develop OCaml programs using
ocaml-sqlite3 library.

%prep
%setup -q -n %{module}-ocaml-%{version}

%build
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--docdir=%{_docdir}/%{name} \
	--destdir=$RPM_BUILD_ROOT

%{__make} -j1 all \
	CC="%{__cc} %{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{%{module},stublibs}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml \
	OCAMLFIND_DOCDIR=$RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/ocaml/%{module}
%{_libdir}/ocaml/%{module}/META
%{_libdir}/ocaml/%{module}/*.annot
%{_libdir}/ocaml/%{module}/*.cma
%{_libdir}/ocaml/%{module}/*.cmi
%{_libdir}/ocaml/%{module}/*.cmt
%{_libdir}/ocaml/%{module}/*.cmti
%if %{with ocaml_opt}
%attr(755,root,root) %{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner
%{_libdir}/ocaml/%{module}/*.cmxs
%endif

%files devel
%defattr(644,root,root,755)
%doc CHANGES.txt README.md TODO.md test
%{_libdir}/ocaml/%{module}/*.a
%if %{with ocaml_opt}
%{_libdir}/ocaml/%{module}/*.cmxa
%{_libdir}/ocaml/%{module}/*.cmx
%endif
%{_libdir}/ocaml/%{module}/*.mli
%changelog
* Sat Mar 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-sqlite.git;a=log;h=master

* Sat Mar 27 2021 Jan Rękorajski <baggins@pld-linux.org> fd8c79e
- update META file location
- rel 2

* Tue Mar 23 2021 Jan Rękorajski <baggins@pld-linux.org> 79aa486
- no debug packages of no opt

* Tue Mar 23 2021 Jan Rękorajski <baggins@pld-linux.org> 9b415c8
- clean up noopt files

* Tue Mar 23 2021 Jan Rękorajski <baggins@pld-linux.org> f04eb97
- update files

* Tue Mar 23 2021 Jan Rękorajski <baggins@pld-linux.org> a92ae8e
- up to 4.1.3

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> fda6eae
- rebuild with ocaml 4.04.1
- release 5 (by relup.sh)

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> b6209cf
- release 4 (by relup.sh)

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> fc3c399
- there is no opt target, opt build is autodetected

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> a1750ae
- cleanup opt bcond
- rel 3

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 717b9d5
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 17c04d3
- add module macro, verbose file exts

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> b9e76c4
- up to 2.0.4

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> 6445826
- typo in package name

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> e987c75
- new

